Managed Network Settings Rule - Create Or Update

Creates or updates an outbound rule in the managed network of a machine learning workspace.

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.MachineLearningServices/workspaces/{workspaceName}/outboundRules/{ruleName}?api-version=2025-09-01

URI Parameters

Name In Required Type Description
resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

ruleName
path True

string

pattern: ^[a-zA-Z0-9][a-zA-Z0-9_-]{2,32}$

Name of the workspace managed network outbound rule

subscriptionId
path True

string

minLength: 1

The ID of the target subscription.

workspaceName
path True

string

pattern: ^[a-zA-Z0-9][a-zA-Z0-9_-]{2,32}$

Name of Azure Machine Learning workspace.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Body

Name Required Type Description
properties True OutboundRule:

Outbound Rule for the managed network of a machine learning workspace.

Responses

Name Type Description
200 OK

OutboundRuleBasicResource

The request was successful; the request was well-formed and received properly.

202 Accepted

Accepted

Headers

  • Location: string
  • Retry-After: integer
Other Status Codes

ErrorResponse

Error

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

CreateOrUpdate ManagedNetworkSettingsRule

Sample request

PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/test-rg/providers/Microsoft.MachineLearningServices/workspaces/aml-workspace-name/outboundRules/rule_name_1?api-version=2025-09-01

{
  "properties": {
    "type": "FQDN",
    "destination": "destination_endpoint",
    "status": "Active",
    "category": "UserDefined"
  }
}

Sample response

Location: example_location
{
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/test-rg/providers/Microsoft.MachineLearningServices/workspaces/aml-workspace-name/outboundRules/rule_name_1",
  "name": "rule_name_1",
  "type": "workspace/outboundRules",
  "properties": {
    "type": "FQDN",
    "destination": "destination_endpoint",
    "status": "Active",
    "category": "UserDefined",
    "errorInformation": null
  }
}

Definitions

Name Description
createdByType

The type of identity that created the resource.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

FqdnOutboundRule

FQDN Outbound Rule for the managed network of a machine learning workspace.

OutboundRuleBasicResource

Outbound Rule Basic Resource for the managed network of a machine learning workspace.

PrivateEndpointDestination

Private Endpoint destination for a Private Endpoint Outbound Rule for the managed network of a machine learning workspace.

PrivateEndpointOutboundRule

Private Endpoint Outbound Rule for the managed network of a machine learning workspace.

RuleAction

The action enum for networking rule.

RuleCategory

Category of a managed network Outbound Rule of a machine learning workspace.

RuleStatus

Type of a managed network Outbound Rule of a machine learning workspace.

RuleType

Type of a managed network Outbound Rule of a machine learning workspace.

ServiceTagDestination

Service Tag destination for a Service Tag Outbound Rule for the managed network of a machine learning workspace.

ServiceTagOutboundRule

Service Tag Outbound Rule for the managed network of a machine learning workspace.

systemData

Metadata pertaining to creation and last modification of the resource.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

FqdnOutboundRule

FQDN Outbound Rule for the managed network of a machine learning workspace.

Name Type Description
category

RuleCategory

Category of a managed network Outbound Rule of a machine learning workspace.

destination

string

errorInformation

string

Error information about an outbound rule of a machine learning workspace if RuleStatus is failed.

parentRuleNames

string[]

status

RuleStatus

Type of a managed network Outbound Rule of a machine learning workspace.

type string:

FQDN

Type of a managed network Outbound Rule of a machine learning workspace.

OutboundRuleBasicResource

Outbound Rule Basic Resource for the managed network of a machine learning workspace.

Name Type Description
id

string

Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

name

string

The name of the resource

properties OutboundRule:

Outbound Rule for the managed network of a machine learning workspace.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

PrivateEndpointDestination

Private Endpoint destination for a Private Endpoint Outbound Rule for the managed network of a machine learning workspace.

Name Type Description
serviceResourceId

string (arm-id)

sparkEnabled

boolean

sparkStatus

RuleStatus

Type of a managed network Outbound Rule of a machine learning workspace.

subresourceTarget

string

PrivateEndpointOutboundRule

Private Endpoint Outbound Rule for the managed network of a machine learning workspace.

Name Type Description
category

RuleCategory

Category of a managed network Outbound Rule of a machine learning workspace.

destination

PrivateEndpointDestination

Private Endpoint destination for a Private Endpoint Outbound Rule for the managed network of a machine learning workspace.

errorInformation

string

Error information about an outbound rule of a machine learning workspace if RuleStatus is failed.

parentRuleNames

string[]

status

RuleStatus

Type of a managed network Outbound Rule of a machine learning workspace.

type string:

PrivateEndpoint

Type of a managed network Outbound Rule of a machine learning workspace.

RuleAction

The action enum for networking rule.

Value Description
Allow
Deny

RuleCategory

Category of a managed network Outbound Rule of a machine learning workspace.

Value Description
Required
Recommended
UserDefined
Dependency

RuleStatus

Type of a managed network Outbound Rule of a machine learning workspace.

Value Description
Inactive
Active
Provisioning
Deleting
Failed

RuleType

Type of a managed network Outbound Rule of a machine learning workspace.

Value Description
FQDN
PrivateEndpoint
ServiceTag

ServiceTagDestination

Service Tag destination for a Service Tag Outbound Rule for the managed network of a machine learning workspace.

Name Type Description
action

RuleAction

The action enum for networking rule.

addressPrefixes

string[]

Optional, if provided, the ServiceTag property will be ignored.

portRanges

string

protocol

string

serviceTag

string

ServiceTagOutboundRule

Service Tag Outbound Rule for the managed network of a machine learning workspace.

Name Type Description
category

RuleCategory

Category of a managed network Outbound Rule of a machine learning workspace.

destination

ServiceTagDestination

Service Tag destination for a Service Tag Outbound Rule for the managed network of a machine learning workspace.

errorInformation

string

Error information about an outbound rule of a machine learning workspace if RuleStatus is failed.

parentRuleNames

string[]

status

RuleStatus

Type of a managed network Outbound Rule of a machine learning workspace.

type string:

ServiceTag

Type of a managed network Outbound Rule of a machine learning workspace.

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.